package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussUserIpRecord;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussUserIpRecordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussUserIpRecord record);

    int insertSelective(TbPlussUserIpRecord record);

    TbPlussUserIpRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussUserIpRecord record);

    int updateByPrimaryKey(TbPlussUserIpRecord record);
}